<?php // $Id: general.inc,v 1.9.8.4 2007/12/05 22:02:11 joseph_rezeau Exp $

/// Originated from phpESP:
// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/// Uses: $sid, $formdata, $portfolio->usehtmleditor from manage_survey.php

    // load current values from DB if $sid exists (in session)
    if(!empty($sid) && $updated) {
        $survey = get_record('portfolio_survey', 'id', $sid);
    } else {
        $fields = array('name','owner','realm','title','subtitle','email','theme','thanks_page','thank_head','thank_body','info','public');
        $survey = new Object();
           foreach ($fields as $f) {
            if(!empty($formdata->$f)) {
                $survey->$f = trim($formdata->$f);
            } else {
                $survey->$f = '';
            }
        }
        if (empty($survey->theme)) {
            $survey->theme = 'default.css';
        }
    }
    echo '<div>';
    print_string('generalpage', 'portfolio');
    echo '</div>';
    echo '<hr />';
    if (isset($error_message)) {
        echo $error_message.'<br />';
    }
    $strrequired = get_string('required');
?>
<?php
        /// From manage_survey, check if the realm is being set. This is only allowed if
        /// this is the owner of the survey.
            if (isset($formdata->realm) && ($formdata->realm != $survey->realm) &&
                ($courseid == $survey->owner)) {
                $survey->realm = $formdata->realm;
            }

            if (!isset($survey->owner) || empty($survey->owner)) {
                $survey->owner = $courseid;
            }
            echo '<div>';
            echo '<input type="hidden" name="owner" value="'.$survey->owner.'" />';
            echo '<input type="hidden" name="realm" value="'.$survey->realm.'" />';
            echo '</div>';
?>
    <div>
    <input   type="hidden" size="20" name="name" maxlength="64" value="<?php p($survey->name); ?>" />
    </div>
    <table width="95%" border="0" cellspacing="0" cellpadding="0">
    <tr><td colspan="2"></td></tr>
    <tr valign="top">
        <td><strong><?php print_string('title', 'portfolio'); ?></strong></td>
        <td>
       <div>
            <input type="text" size="60" name="title" maxlength="60" value="<?php 
                if (isset($formdata->create)) {
                    $title = $formdata->name;
                } else {
                    $title = $survey->title;
                }
                p($title);?>" />
        </div>
            <?php
            echo('<br />'.get_string('surveytitle', 'portfolio')); 
            ?>
        </td>
    </tr>
    <tr><td colspan="2"><hr /></td></tr>
    <tr valign="top">
        <td><strong><?php print_string('subtitle', 'portfolio'); ?></strong></td>
        <td>
            <input type="text" size="60" name="subtitle" maxlength="128" value="<?php p($survey->subtitle); ?>" /><br />
            <?php
            print_string('surveysubtitle', 'portfolio');
            ?>
        </td>
    </tr>
    <tr><td colspan="2"><hr /></td></tr>
    <tr valign="top">
        <td><strong><?php print_string('additionalinfo', 'portfolio'); ?></strong></td>
        <td>
            <?php 
               print_textarea($portfolio->usehtmleditor, 10, 50, 680, 400, 'info', $survey->info);
            ?>
            <?php
            print_string('surveyinfo', 'portfolio'); 
            ?>
        </td>
    </tr>
    <tr><td colspan="2"><hr /></td></tr>
    <tr valign="top">
        <td><strong><?php print_string('confirmationpage', 'portfolio'); ?></strong></td>
        <td>
            <input type="text" size="60" name="thanks_page" maxlength="255" value="<?php p($survey->thanks_page); ?>" />
            &nbsp;(<?php print_string('url', 'portfolio');?>)<br />
            <?php print_string('redirecturl', 'portfolio'); echo('<p><strong>'); print_string('or', 'portfolio'); echo('</strong></p>'); ?>
            <input type="text" size="30" name="thank_head" value="<?php p($survey->thank_head); ?>" />
            &nbsp;(<?php print_string('headingtext', 'portfolio');?>)<br />
            <?php 
               print_textarea($portfolio->usehtmleditor, 10, 50, 680, 400, 'thank_body', $survey->thank_body);
            ?>
            &nbsp;<?php print_string('bodytext', 'portfolio');?><br />
             <?php print_string('confpagedesc', 'portfolio'); ?>
            </td>
    </tr>
    <tr><td colspan="2"><hr /></td></tr>
    <tr valign="top">
        <td><strong><?php print_string('email', 'portfolio'); ?></strong></td>
        <td>
            <input type="text" size="30" name="email" value="<?php p($survey->email); ?>" /><br />
            <?php print_string('sendemail', 'portfolio'); ?>
            </td>
    </tr>
    <tr><td colspan="2"><hr /></td></tr>
        <tr valign="top">
        <td><strong><?php print_string('theme', 'portfolio');?></strong></td>
                <td>
            <?php
            $themes_array = array();
            $dir = dir($ESPCONFIG['css_path']);
                $dir->rewind();
                while ($file=$dir->read()) {
                    if (stristr($file,".css")) {
                        $pos = strrpos($file, ".");
                        $name = substr($file, 0,$pos);
                        $themes_array[$file] = $name;
                    }
                }
                $dir->close();
            choose_from_menu ($themes_array, 'theme', $survey->theme);
            ?>
            <br /><?php print_string('selecttheme', 'portfolio');?></td>
        </tr>
</table>
