<?php // $Id: order.inc,v 1.6.10.2 2007/09/29 15:01:43 joseph_rezeau Exp $

/// Originated from phpESP:
// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/// Uses: $sid, $formdata from manage_survey.php

    if(empty($formdata->id)) {
        $formdata->id = 0;
    }

    if(isset($formdata->src)) {
        $src = intval($formdata->src);
    } else {
        $src = 0;
    }

    if (isset($formdata->dst)) {
        $dst = intval($formdata->dst);
    } else {
        $dst = 0;
    }

    if (isset($formdata->sid)) {
        $sid = $SESSION->portfolio_survey_id = $formdata->sid;
    } else {
        $sid = $SESSION->portfolio_survey_id;
    }

    $id = intval($formdata->id);

    if(isset($formdata->addbreak)) {
        $sql = 'SELECT MAX(position) as maxpos FROM '.$CFG->prefix.'portfolio_question '.
               'WHERE survey_id = '.$sid;
        if ($record = get_record_sql($sql)) {
            $pos = $record->maxpos + 1;
        } else {
            $pos = 1;
        }
        $question = new Object();
        $question->survey_id = $sid;
        $question->type_id = 99;
        $question->position = $pos+1;
        $question->content = 'break';
        insert_record('portfolio_question', $question);

    } elseif ($src > 0) {
        --$src;
        --$dst;

        $select = 'survey_id='.$sid.' AND deleted=\'N\'';
        if (!($questions = get_records_select('portfolio_question', $select, 'position', 'id,position'))) {
            $questions = array();
        }
        $max = count($questions);
        $questions = array_values($questions);

        if ($src < $max) {
            $qid = $questions[$src]->id;

            if ($dst < 0) {
                // remove
                set_field('portfolio_question', 'deleted', 'Y', 'id', $qid, 'survey_id', $sid);

            } elseif (0 <= $dst && $dst < $max && $src != $dst) {
                // move
                if ($max - 1 > $dst) {
                    if ($src < $dst)
                        // move down
                        ++$dst;
                    $dst = $questions[$dst]->position;
                    global $CFG;
                    $sql = 'UPDATE '.$CFG->prefix.'portfolio_question SET position=position+1 '.
                            'WHERE survey_id='.$sid.' AND position >= '.$dst;
                    execute_sql($sql);
                } else {
                    $dst = ($questions[$max-1]->position)+1;
                }
                set_field('portfolio_question', 'position', $dst, 'id', $qid, 'survey_id', $sid);
            }
        }
    }

    $select = 'survey_id='.$sid.' AND deleted=\'N\'';
    if (!($questions = 
          get_records_select('portfolio_question', $select, 'position', 'id,type_id,position,content,required'))) {
        $questions = array();
    }
    $max = count($questions);
    $sec = $num = 0;
?>
<?php 
    echo '<div>';
    print_string('changeorder', 'portfolio');
    echo '<br />';
    print_string('requiredquestions', 'portfolio', '<span style="color:#FF0000">*&nbsp;</span>');
    echo '</div>';
?>
<hr />
<!-- JR replaced call by Id rather than by name for XHTML strict validation -->
<script type="text/javascript">
<!-- // comment
  function swap(src, dst) {
    var obj = document.getElementById("phpesp")
    obj.src.value=src;
    obj.dst.value=dst+1;
    obj.submit();
  }
  function remove(src) {
    var obj = document.getElementById("phpesp")
    obj.src.value=src;
    obj.dst.value=-1;
    obj.submit();
  }
  function editq(num) {
    var obj = document.getElementById("phpesp")
    if (obj.elements[1].name == 'tab') {
        obj.elements[1].value='Questions';
    }
    else {
      for (i = 1; i <= obj.elements.length; i++) {
        if (obj.elements[i].name == 'tab') {
            obj.elements[i].value='Questions';
            break;
        }
      }
    }
    obj.q.value=num;
    obj.submit();
    return false;
  }
// comment -->
</script>
<div>
<input type="hidden" name="tab" value="" />
<input type="hidden" name="src" value="" />
<input type="hidden" name="dst" value="" />
<input type="hidden" name="q"   value="" />
</div>
<table>
<?php
    foreach ($questions as $question) {
        $required = ''; 
        $qid = $question->id;
        $tid = $question->type_id;
        $qtype = portfolio_get_type($tid);
        $required = $question->required;
        $pos = $question->position;
        $content = format_text_email($question->content, FORMAT_HTML);
        if ($required == 'Y') {
            $content = '<span style="color:#FF0000">*&nbsp;</span>'.$content;
        }
        $num++;
        $select = '';
        for ( $i = 0; $i < $max; ) {
            $i++;
            if( $i == $num )
                $select .= "<option value=\"$i\" selected=\"selected\">$i</option>\n";
            else
                $select .= "<option value=\"$i\">$i</option>\n";
        }
?>
    <tr>
        <td valign="top">
        <select name="pos<?php echo($num); ?>" size="1" onchange="javascript:swap(<?php echo($num); ?>, this.form.pos<?php echo($num); ?>.selectedIndex);">
<?php echo($select); ?>
        </select>
        </td>
        <td>
<?php
            if($tid != 99)
                echo($content);
            else {
                ++$sec;
                echo('<b>'.get_string('sectionbreak', 'portfolio').'</b>');
            }
?>
        </td>
        <td><?php echo('|&nbsp;'.$qtype.'&nbsp;')?></td>
        <td><input type="button" value="<?php print_string('remove', 'portfolio'); ?>" onclick="javascript:remove(<?php echo($num); ?>);" /></td>
        <td><?php if($tid != 99) { ?><input type="button" value="<?php print_string('edit', 'portfolio'); ?>" onclick="javascript:editq(<?php echo($num-$sec); ?>);" /><?php } ?></td>
    </tr>
<?php
        }
?>
</table>
<hr />
<div>
<input type="submit" name="addbreak" value="<?php print_string('addsectionbreak', 'portfolio'); ?>" />
</div>