<?php // $Id: print.php,v 1.9.8.2 2007/10/14 16:56:17 joseph_rezeau Exp $

// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/* When using the authentication for responses you need to include
 * part of the script *before* your template so that the
 * HTTP Auth headers can be sent when needed.
 *
 * See the handler-prefix.php file for details.
 */

    require_once("../../config.php");
    require_once($CFG->dirroot.'/mod/portfolio/lib.php');

    $qid = required_param('qid', PARAM_INT);
    $rid = required_param('rid', PARAM_INT);
    $courseid = required_param('courseid', PARAM_INT);
    $sec = required_param('sec', PARAM_INT);
    $null = null;

    // changed because xhtml strict does not allow target attribute; this print current response window is now a popup window
    $referer = get_referer();

//    if ($referer == $CFG->wwwroot.'/mod/portfolio/view.php') {       
        $_POST['qid'] = $qid;
        $_POST['courseid'] = $courseid;
        $_POST['rid'] = $rid;
//    }

// should never happen
    if ((($referer != $CFG->wwwroot.'/mod/portfolio/report.php') &&
         ($referer != $CFG->wwwroot.'/mod/portfolio/view.php')) || empty($_POST)) {
//        error('This function cannot be called this way!');
    }
    
    $portfolio = new portfolio($qid, null, $null, $null);
    $status = $portfolio->survey->status;
    $name = $portfolio->survey->name;

    $num_sections = count($portfolio->questionsbysec);
    $msg = '';

print_header('Print Survey', '', '', '', '', true, '', '');
        if ( !empty($portfolio->survey->theme) ) {
            $href = $CFG->wwwroot.'/mod/portfolio/css/'.$portfolio->survey->theme;
            echo '<script type="text/javascript" defer="defer">
                //<![CDATA[
                document.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"'.$href.'\" />")
                //]]>
                </script>';     
        }

?>
<form method="post" action="">
<?php    $portfolio->survey_print_render($msg, $referer, $courseid); ?>
<?php
//  Add a 'hidden' variable for the mod's 'view.php', and use a language variable for the submit button.
        if($sec == $num_sections)    { ?>
    <input type="hidden" name="submittype" value="Submit Survey" />
<?php    } ?>
<?php    
    if ($referer == $CFG->wwwroot.'/mod/portfolio/report.php') {
        echo ('</form></div>');
    }
 ?>
</div>
<?php
      close_window_button();
echo '</body></html>';
?>