<?php // $Id: questions.inc,v 1.12.10.4 2007/11/22 09:57:32 joseph_rezeau Exp $

/// Originated from phpESP:
// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

/// Uses: $sid, $formdata, $portfolio->usehtmleditor from manage_survey.php

    if(empty($formdata->id)) {
        $formdata->id = 0;
    }

    if (isset($formdata->q)) {
        $curr_q = $SESSION->portfolio_curr_q = $formdata->q;
    } else if (isset($SESSION->portfolio_curr_q)) {
        $curr_q = $SESSION->portfolio_curr_q;
    } else {
        $curr_q = '';
    }

    if (isset($formdata->sid)) {
        $sid = $SESSION->portfolio_survey_id = $formdata->sid;
    } else {
        $sid = $SESSION->portfolio_survey_id;
    }

       $id = intval($formdata->id);

    if (isset($formdata->type_id)) {
        $formdata->type_id = intval($formdata->type_id) ?
                $formdata->type_id : '';
    } else {
        $formdata->type_id = '';
    }

    // build array of question IDs
    $select = 'survey_id='.$sid.' AND deleted=\'N\' AND type_id != 99';
    if (!($results = get_records_select('portfolio_question', $select, 'position'))) {
        $results = array();
    }

    $total_num_q = count($results);
    $q_ids = array();
    foreach ($results as $result) {
        $qi = $result->id;
        array_push($q_ids, $qi);
    }
    $strnewfield = get_string('newfield', 'portfolio');
    $strnewfieldenter = get_string('newfieldenter', 'portfolio');
    // if extra_choices comes from a new question being edited, save its text content
    if (!empty($formdata->extra_choices)) {
        $qcontent = $formdata->content;
        $qname = $formdata->name; //fixes for bug CONTRIB-187
        $qlength = $formdata->length;
        $qprecise = $formdata->precise;
    }

    // update failed, stay on same question
    if( (!$updated && $formdata->q != get_string('newfield', 'portfolio'))) {
        unset($q);
    } else {
        if(empty($formdata->q))
            $formdata->q = $curr_q;
        if($formdata->q == $strnewfield || $formdata->q == $strnewfieldenter) {
            $formdata->q = 0;
        }
        if($formdata->q < 0 || $formdata->q > $total_num_q) {
            $formdata->q = 1;
        }
    }
    $curr_q = $formdata->q; // only if not coming from Preview or General?
    if ($formdata->tab == 'general') {
        $curr_q = '';
    }

    if($curr_q && isset($q_ids[$curr_q-1])) {
        $curr_q_id = $q_ids[$curr_q-1];
    } else {
        $curr_q_id = 0;
    }
    $updated = true; // JR just in case
    $fields = array('name','type_id','length','precise','required','content','position');
    if($updated && $total_num_q > 0 && $curr_q) {
        // survey questions exist already
        // load values from DB
        $question = get_record('portfolio_question', 'id', $curr_q_id, 'deleted', 'N');
        $question = (array)$question;
        foreach($fields as $f) {
            $formdata->$f =& $question[$f];
        }
    } else if ($updated) {
        // adding a new question (possibly because there are no questions yet)
        $curr_q = 0;
        $curr_q_id = '';
        foreach(array('name','length','precise','content','position') as $f) {
            $formdata->$f = '';
        }
    } else {
        foreach($fields as $f) {
            if(empty($formdata->$f)) {
                $formdata->$f = '';
            }
        }
    }
    // if extra_choices comes from a new question being edited, restore its saved text content
    if (!empty($qcontent)) {
        $formdata->content = $qcontent;
        $formdata->name = $qname; //fixes for bug CONTRIB-187
        $formdata->length = $qlength;
        $formdata->precise = $qprecise;
    }
?>
<script type="text/javascript">
<!-- // comment
function clearTextInputs() {
    var i = 1;
    while (document.phpesp.elements["choice_content_" + i]) {
        document.phpesp.elements["choice_content_" + i].value = "";
        i++;

        }
}
// comment -->
</script>
<div style="text-align:center">
<?php

    echo('<input type="hidden" name="id" value="'.$curr_q_id.'" />');
    echo('<input type="hidden" name="remove" value="" />');
    // JR display current question as plain text, not button because no action is possible on it
    for($i=1; $i<$total_num_q+1; ++$i) {
        if ($i == $curr_q) {
            echo("[&nbsp;<strong>$i</strong>&nbsp;]&nbsp;");
        } else {
            echo('<input type="submit" name="q" value="'.$i.'" />&nbsp;');
        }
    }
    $strnewquestion = get_string('newfield', 'portfolio');
    if ($curr_q !=0) {
        echo('<input type="submit" name="q" value="'.$strnewquestion.'" />');
    } else {
        $strnewquestion = get_string('newfieldenter', 'portfolio');
        echo('<input type="submit" name="q" value="'.$strnewquestion.'" />');
    }
    if ($curr_q !=0) {
        $strremove = get_string('remove', 'portfolio') .'&nbsp;' .get_string('field', 'portfolio', $curr_q);
        echo ('<p>&nbsp;'.'<input type="submit" name="remove" value="'.$strremove.'" />');
        helpbutton("removequestion", get_string("remove", "portfolio"), "portfolio", true, false);
    }
    echo'<hr />';

    if(is_numeric($curr_q) && $curr_q != 0) {
        $a = '<strong>'.get_string('field', 'portfolio', "$curr_q").'</strong>';
    } else {
        $num = $total_num_q + 1;
        $a = get_string('newfield', 'portfolio').'&nbsp;('.get_string("num", "portfolio").$num.')&nbsp;';
    }
    print_simple_box(helpbutton("editquestions", get_string("editquestions", "portfolio"), "portfolio", true, false, '', true).
        get_string('editfield', 'portfolio', $a),'center');
    if (!empty($SESSION->ERROR_QUESTIONTEXT)) {
        portfolio_notify ($SESSION->ERROR_QUESTIONTEXT);
    }
    if (!empty($SESSION->ERROR_QUESTIONTYPE)) {
        portfolio_notify ($SESSION->ERROR_QUESTIONTYPE);
    }
?>
    <table style="margin:auto">
        <tr>
            <th>&nbsp;</th>
            <th><?php print_string("fieldname", "portfolio");
                helpbutton("questionname", get_string("fieldname", "portfolio"), "portfolio", true, false); ?></th>
            <th><?php print_string("type", "portfolio");
                helpbutton("questiontypes", get_string("type", "portfolio"), "portfolio", true, false); ?></th>
            <th><?php print_string("length", "portfolio");
                helpbutton("lengthprecision", get_string("length", "portfolio"), "portfolio", true, false); ?></th>
            <th><?php print_string('precision', 'portfolio'); ?></th>
            <th><?php print_string("required", "portfolio");
                helpbutton("required", get_string("required", "portfolio"), "portfolio", true, false); ?></th>
            <th></th>
        </tr><tr>
            <td>&nbsp;</td>
            <td style="text-align:center">
            <input type="text" size="25" name="name" value="<?php p($formdata->name); ?>" /></td>
            <td style="text-align:center">
            <?php
                if($updated && empty($formdata->type_id)) {
                    $formdata->type_id = 0; // JR Default = choose
                }
                $select = 'id != 99';
                if (!($results = get_records_select('portfolio_question_type', $select, 
                                                    '', 'id,type'))) {
                    $results = array();
                }
                $arr = array();
                foreach ($results as $result) {
                    $key = $result->id;
                    $arr["$key"] = portfolio_get_type ($result->id);
                }
                choose_from_menu ($arr, 'type_id', $formdata->type_id);
            ?></td>
            <td style="text-align:center">
            <?php
                if(empty($formdata->length)) $formdata->length = 0;
            ?>
                <input type="text" size="6" name="length" value="<?php p($formdata->length); ?>" />
            </td>
            <td style="text-align:center"><?php
                if(empty($formdata->precise)) $formdata->precise = 0;
            ?>
                <input type="text" size="6" name="precise" value="<?php p($formdata->precise); ?>" />
            </td>
            <td style="text-align:center"><?php
                if(empty($formdata->required)) $formdata->required = 'N';
                choose_from_menu (array("Y" => get_string('yes'), "N" => get_string('no')), 'required', $formdata->required);
                ?></td>
        </tr>
        <tr>
            <th align="left" valign="top"><?php echo get_string("text", "portfolio") ?></th>
            <td colspan="5" valign="top">
            <?php 
               print_textarea($portfolio->usehtmleditor, 10, 50, 680, 400, 'content', stripslashes($formdata->content) );
            ?>
            </td>
        </tr>
    </table>
<?php
    // has answer options ... so show that part of the form
    if($curr_q == 0 ||
            empty($formdata->type_id) ||
            (get_field('portfolio_question_type', 'has_choices', 'id', $formdata->type_id) == 'Y')) {
        include('questions_options.inc');
    }
?>
</div>