<?php // $Id: questions_options.inc,v 1.7.10.3 2007/10/14 13:00:02 joseph_rezeau Exp $

/// Originated from phpESP:
// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

// New Interface Design by Kon Angelopoulos
// for the phpESP project.
// <angekproductions@iprimus.com.au>

/// Uses: $sid, $formdata, $usehtmleditor from manage_survey.php

    // do not need to import session vars here
    // it is done by questions.inc before this code executes
// yes we do need them JR
    // this type of question has answer options
global $SESSION;
    if ($updated && $curr_q) {
        if ($choices = get_records('portfolio_question_choice', 'question_id', $curr_q_id, 'id ASC', 'id,content')) {
            $c = count($choices);
        } else {
            $choices = array();
            $c = 0;
        }
    } else {
        if (isset($formdata->num_choices))
            $c = intval($formdata->num_choices);
        else
            $c = portfolioDEFAULTNUMCHOICES;
    }
    if(isset($formdata->extra_choices)) {
        $num_choices = max($c, $formdata->num_choices) + 1;
    } else {
        $num_choices = $c;
    }
    if (!empty($SESSION->NEWQUESTION)) {
//        $num_choices = portfolioDEFAULTNUMCHOICES;;
    }

?>
<table border="0" cellspacing="0" style="margin:auto">
    <tr><td colspan="2" align="center"></td></tr>
    <tr>
        <td style="vertical-align:top" colspan="2">
            <?php
                if (!empty($SESSION->ERROR_QUESTIONOPTION)) {
                    notify ($SESSION->ERROR_QUESTIONOPTION);
                }
                print_string('possibleanswers', 'portfolio'); 
                helpbutton('possibleanswers', '', 'portfolio', true, false);
            ?>
            <input type="hidden" name="num_choices" value="<?php echo($num_choices); ?>" />
        </td>
    </tr>
<?php
        for($i=1; $i<$num_choices+1; ++$i) {
            if ($updated && $curr_q && !$SESSION->NEWQUESTION) {
                $choice = current($choices);
                $choice_id = $choice->id;
                $choice_content = $choice->content;
                next($choices);
            } else {
                if ($curr_q && isset($formdata->{"choice_id_$i"}) && !$SESSION->NEWQUESTION) {
                    $choice_id = intval($formdata->{"choice_id_$i"});
                } else {
                    $choice_id = '';
                }
                // do not empty choices when editing a new question and an extra_choices line has been required!
                if(isset($formdata->{"choice_content_$i"}) && $SESSION->NEWQUESTION && isset($formdata->extra_choices)) {
                    $choice_content = $formdata->{"choice_content_$i"};
                } else {
                    $choice_content = '';
                }
            }
?>
    <tr>
        <td class="numbered"><?php echo($i); ?>.</td>
        <td style="text-align:left">
            <input type="hidden" name="choice_id_<?php echo($i); ?>"
                value="<?php if(isset($choice_id)) echo($choice_id); ?>" />
            <input type="text" size="60" name="choice_content_<?php echo($i); ?>"
                value="<?php if(isset($choice_content)) echo(htmlspecialchars($choice_content)); ?>" />
        </td>
    </tr>
<?php    } ?>
    <tr>
        <td>&nbsp;</td>
        <td><input type="submit" name="extra_choices" value="<?php print_string('addaline', 'portfolio'); ?>" /> 
        <input type="button" name="clear" 
        value="<?php print_string('clearlines', 'portfolio'); ?>" onclick="clearTextInputs()" /> </td>
    </tr>
</table>
