<?php // $Id: results.inc,v 1.8.8.1 2007/06/13 15:35:11 mchurch Exp $

// Written by James Flemer
// For eGrad2000.com
// <jflemer@alum.rpi.edu>

    $bg = '';
    require ("crosstab.inc");
    
    if (!empty($sid)) {
        if (isset($type) && ($type == 'cross')) {
            echo('<h2>'. get_string('crosstabulation', 'portfolio')."</h2>\n");
        }
?>

<?php
        $precision = optional_param('precision', '', PARAM_INT);
        $totals = optional_param('totals', '', PARAM_INT);
        $qid = optional_param('qid', '', PARAM_INT);
        $cids = optional_param('cids', '', PARAM_INT);
        $rid = (!empty($rid) || !$byresponse) ? $rid : optional_param('rid', '', PARAM_INT);
        $qidc = optional_param('qidc', '', PARAM_INT);
        $qidr = optional_param('qidr', '', PARAM_INT);
        $guicross = !empty($type) ? $type : optional_param('type', '', PARAM_INT);

        if(!empty($rid)) {
            echo '<div style="text-align:center; padding-bottom:5px;">';
            $portfolio->survey_results_navbar($rid);
            echo '</div>';
            echo'<div class = "active">';
            $ret = $portfolio->view_response($rid);
            echo '<div style="text-align:center; padding-bottom:5px;">';
            $portfolio->survey_results_navbar($rid);
            echo '</div>';
        } else if (!empty($guicross)){
            if (!empty($qidc) || !empty($qidr)){
                cross_tabulation($sid, $qidc, $qidr, $qid, $cids, $instance);
            } else if (empty($cids)) {
                echo'<div class = "active">';
                $ret = $portfolio->survey_results($precision, $totals, '', '', '', $guicross);
                echo '</div>';
            } else {
                echo'<div class = "active">';
                $ret = $portfolio->survey_results($precision, $totals, $qid, $cids);
                echo '</div>';
            }
        } else {
            echo'<div class = "active">';
            $ret = $portfolio->survey_results($precision, $totals, $qid, $cids);
            echo '</div>';
        }

        if(!empty($ret))
            echo("<font color=\"". $ESPCONFIG['error_color'] ."\">$ret</font>\n");
?>
<?php
        return;
    }

// No SurveyId specified, so build a table of
// surveys to choose from ...

    $select = 'realm != \'template\' AND owner = \''.$portfolio->course->id.'\'';
    if (!($surveys = get_records_select('portfolio_survey', $select, 'id DESC', 'id,name,title,owner,realm'))) {
        $surveys = array();
    }

    if (!empty($type)) {
?>
</td></tr>
<tr><td style="text-align:center">
<input type="reset" value="<?php print_string('reset', 'portfolio'); ?>" />
<?php echo mksubmit('cross', get_string('crosstabulate', 'portfolio')); ?>
<br />
<?php
    }
?>

<table border="0" cellspacing="0" cellpadding="4" style="text-align:center; width=95%;">
    <tr>
        <th align="left"><?php print_string('id', 'portfolio'); ?></th>
        <?php if (empty($type)) { ?>
            <th align="left"><?php print_string('respondent', 'portfolio'); ?></th>
        <?php }
              else { ?>
            <th align="left"></th>
        <?php }?>
        <th align="left"><?php print_string('name', 'portfolio'); ?></th>
        <th align="left"><?php print_string('title', 'portfolio'); ?></th>
        <th align="left"><?php print_string('owner', 'portfolio'); ?></th>
        <th align="left"><?php print_string('group'); ?></th>
        <th align="left"><?php print_string('respondentabrev', 'portfolio'); ?></th>
    </tr>
<?php
    $count = 0;
    foreach ($surveys as $survey) {
        $sid = $survey->id;
        $name = $survey->name;
        $title = $survey->title;
        $owner = $survey->owner;
        $realm = $survey->realm;

        //let's see how many respondents we have for each survey.
        $resp = count_records('portfolio_response', 'survey_id', $sid);
?>
    <tr>
        <td><?php echo($sid); ?></td>
<?php
//    if (empty($HTTP_GET_VARS['type'])) {
    if (empty($type)) {
            // grab all the rid values for the particular survey
            $select = 'survey_id = '.$sid.' AND complete = \'Y\'';
            if (!($responses = get_records_select('portfolio_response', $select, '', 'id,username'))) {
                $responses = array();
            }
            $count++;
    }
?>
        <td>
    <?php 
        if (empty($type)) {
    ?>
            <select name="rid<?php echo $count; ?>" onchange="javascript:this.form.rid.value=this.form.rid<?php echo $count; ?>.options[this.form.rid<?php echo $count; ?>.selectedIndex].value; this.form.sid.value=<?php echo $sid; ?>; this.form.submit(); return false;">
            <option value=""></option>
<?php
        $i = 0;
///    Moodle: Output the username instead of the count.
            foreach ($responses as $response) {
                $rid = $response->id;
                $uname = $response->username;
?>
                <option value="<?php echo $rid; ?>"><?php echo ++$i.". ".$uname; ?></option>
<?php
            }
?>
            </select> 
<?php
        }
?>
        </td>
        <td>
        <?php
        if (!empty($type)){
        ?>    
            <a href="<?php echo($CFG->wwwroot.'/mod/portfolio/report.php?where=results&amp;sid='.$sid.
                '&amp;instance='.$instance.'&amp;type=cross'); ?>">
    <?php   }
        else {
    ?>
            <a href="<?php echo($CFG->wwwroot.'/mod/portfolio/report.php?where=results&amp;sid='.$sid.'&amp;instance='.$instance); ?>">
    <?php   } ?>
                <?php echo($name); ?>
            </a>
        </td>
        <td><?php echo($title); ?></td>
        <td><?php echo($owner); ?></td>
        <td><?php echo($realm); ?></td>
        <td><?php echo($resp); ?></td>
    </tr>
<?php
    }
?>
</table>
