<?php  // $Id: view.php,v 1.18.10.1 2007/06/13 15:35:02 mchurch Exp $

/// This page prints a particular instance of portfolio

    require_once("../../config.php");
    require_once("lib.php");

    /// Used by the phpESP code.
    global $HTTP_POST_VARS, $HTTP_GET_VARS, $HTTP_SERVER_VARS;

    $id = optional_param('id', NULL, PARAM_INT);    // Course Module ID, or
    $a = optional_param('a', NULL, PARAM_INT);      // portfolio ID

    $qac = optional_param('qac');                   // possible actions
    $sid = optional_param('sid', NULL, PARAM_INT);  // Survey id.

    if ($id) {
        if (! $cm = get_record("course_modules", "id", $id)) {
            error("Course Module ID was incorrect");
        }
    
        if (! $course = get_record("course", "id", $cm->course)) {
            error("Course is misconfigured");
        }
    
        if (! $portfolio = get_record("portfolio", "id", $cm->instance)) {
            error("Course module is incorrect");
        }

    } else {
        if (! $portfolio = get_record("portfolio", "id", $a)) {
            error("Course module is incorrect");
        }
        if (! $course = get_record("course", "id", $portfolio->course)) {
            error("Course is misconfigured");
        }
        if (! $cm = get_coursemodule_from_instance("portfolio", $portfolio->id, $course->id)) {
            error("Course Module ID was incorrect");
        }
    }

    require_login($course->id);

    add_to_log($course->id, "portfolio", "view", "view.php?id=$cm->id", "$portfolio->name", $cm->instance, $USER->id);

/// Print the page header

    $portfolio = new portfolio(0, $portfolio, $course, $cm);
    $portfolio->strportfolios = get_string("modulenameplural", "portfolio");
    $portfolio->strportfolio  = get_string("modulename", "portfolio");

    $portfolio->view();

?>